Bug 959210 - (CVE-2013-2058) CVE-2013-2058 Kernel: usb: chipidea: Allow disabling streaming not just in udc mode
CVE-2013-2058 Kernel: usb: chipidea: Allow disabling streaming not just in ud...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121222,reported=2...
: Security
Depends On: 959234 959235
Blocks: 904505
  Show dependency treegraph
 
Reported: 2013-05-03 07:02 EDT by Prasad J Pandit
Modified: 2015-07-31 03:05 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 01:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-05-03 07:02:15 EDT
Linux kernel built with the ChipIdia Highspeed Dual Role Controller
(CONFIG_USB_CHIPIDEA) along with the ChipIdea host controller
(CONFIG_USB_CHIPIDEA_HOST) modules, is vulnerable to a kernel crash.
It could occur while streaming content over network via USB/Ethernet adapter.

A user/program could use this flaw to crash the kernel, resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/929473ea05db455ad88cdc081f2adc556b8dc48f
Comment 1 Prasad J Pandit 2013-05-03 07:40:07 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with
Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2
may address this issue.
Comment 3 errata-xmlrpc 2013-09-16 13:04:21 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html

Note You need to log in before you can comment on or make changes to this bug.